---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/entities/attachments/get-all-attachments.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Getting a list of attached files

The request allows you to get a list of files attached to the [entity](https://yandex.com.tr/support/tracker/en/api-ref/entities/about-entities.md).

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/entities/&lt;entity_type>/&lt;entity_ID>/attachments</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get a list of attachments, use an HTTP `GET` request.

```json translate=no
GET /v3/entities/<entity_type>/<entity_ID>/attachments
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

<!-- source: en/_includes/api/resource-entity.md -->
{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<entity_type> | Entity type:<ul><li>project</li><li>portfolio</li><li>goal</li></ul> | String |
| \<entity_ID> | Entity ID. To get the ID, see the [entity list](../search-entities.md). You can use the `id` or `shortId` parameter as the ID. | String |

{% endcut %}
<!-- endsource: en/_includes/api/resource-entity.md -->

> Example: Get a list of attachments
>
> - An HTTP GET method is used.
> - The response displays information about all the files attached to the entity.
>
> ```
> GET https://api.tracker.yandex.net/v3/entities/project/<project_ID>/attachments
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

  <!-- source: en/_includes/api/answer-200.md -->
  If the request is successful, the API returns a response with code `200 OK`.
  <!-- endsource: en/_includes/api/answer-200.md -->

  The response body contains information about all the files attached to the entity in JSON format.

  ```json translate=no
  [
      {
          "self": "https://api.tracker.yandex.net/v3/attachments/3",
          "id": "3",
          "name": "Shops.csv",
          "content": "https://api.tracker.yandex.net/v3/attachments/3/Shops.csv",
          "createdBy": {
              "self": "https://api.tracker.yandex.net/v3/users/11********",
              "id": "11********",
              "display": "User Name",
              "cloudUid": "ajeppa7dgp53********",
              "passportUid": 11********
          },
          "createdAt": "2023-12-25T07:21:36.722+0000",
          "mimetype": "text/csv",
          "size": 559
      },
      {
          "self": "https://api.tracker.yandex.net/v3/attachments/5",
          "id": "5",
          "name": "flowers.jpg",
          "content": "https://api.tracker.yandex.net/v3/attachments/5/flowers.jpg",
          "createdBy": {
              "self": "https://api.tracker.yandex.net/v3/users/11********",
              "id": "11********",
              "display": "User Name",
              "cloudUid": "ajeppa7dgp53********",
              "passportUid": 11********
          },
          "createdAt": "2024-01-11T06:24:57.635+0000",
          "mimetype": "image/jpeg",
          "size": 20466,
          "metadata": {
              "size": "236x295"
          }
      }
  ]
  ```

  {% cut "Response parameters" %}

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | API resource address that contains information about the entity's attachments | String |
  | id | File ID | String |
  | name | File name | String |
  | content | Address of the resource to download the file from | String |
  | thumbnail | Address of the resource to download the preview thumbnail from; available for image files only | String |
  | [createdBy](#created-by) | Object with information about the user who attached the file | Map object |
  | createdAt | File upload date and time in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format | String |
  | mimetype | File type, for example:<ul><li>`text/plain`: Text file</li><li>`image/png`: Image in PNG format</li></ul> | String |
  | size | File size in bytes | Integer |
  | [metadata](#metadata) | Object with file metadata | Map object |

  `createdBy` **object fields** {#created-by}

  <!-- source: en/_includes/api/user.md -->
  | Parameter | Description | Data type |
  ----- | ----- | -----
  | self | Address of the API resource with information about the user | String |
  | id | User ID. | String |
  | display | Displayed user name | String |
  | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
  | cloudUid | Unique user ID in Yandex Cloud Organization | String |
  <!-- endsource: en/_includes/api/user.md -->

  `metadata` **object fields** {#metadata}

  | Parameter | Description | Data type |
  ----- | ----- | -----
  | size | Image size in pixels | String |

  {% endcut %}

- Request failed

  If the request is processed incorrectly, the API returns a response with an error code:

  <!-- source: en/_includes/api/answer-error-400.md -->
  400
  :   One or more request parameters have an invalid value.
  <!-- endsource: en/_includes/api/answer-error-400.md -->

  <!-- source: en/_includes/api/answer-error-404.md -->
  404
  :   The requested object was not found. You may have specified an invalid object ID or key.
  <!-- endsource: en/_includes/api/answer-error-404.md -->

  <!-- source: en/_includes/api/answer-error-422.md -->
  422
  :   JSON validation error, the request is rejected.
  <!-- endsource: en/_includes/api/answer-error-422.md -->

{% endlist %}
